/*!
Theme Name: taskut
Author: peltopiri
Author URI: https://peltopiri.com/
Version: 2025
Template: kadence
Text Domain: taskut
*/

/* KADENCE GLOBAL */

/* MENU */
.wp-site-blocks #mobile-header {
    display: block !important;
}
.wp-site-blocks #desktop-header {
    display: none !important;
}
#mobile-toggle {
    border: 0;
    border-bottom: 1px solid;
    border-radius: 0;
    padding: 0;
    transition: initial;
}
#mobile-toggle .menu-toggle-icon {
    display: none !important;
}
#mobile-toggle .menu-toggle-label {
    padding: 0;
}
.site-header-main-section-right .mobile-html-inner a {
    display: inline-block;
    padding-bottom: 0px;
    font-weight: 500;
    color: #fff;
    text-decoration: none !important;
    border-bottom: 1px solid;
}
.non-transparent-header .main-navigation .primary-menu-container > ul > li.menu-item > a {
    color: var(--global-palette1);
}
#masthead, #masthead .kadence-sticky-header.item-is-fixed:not(.item-at-start):not(.site-header-row-container):not(.site-main-header-wrap),
#masthead .kadence-sticky-header.item-is-fixed:not(.item-at-start) > .site-header-row-container-inner {
    background: linear-gradient(to bottom, #54585b3d 0%, transparent 100%);
}
#mobile-header .item-is-stuck {
    filter: invert(1);
}
#mobile-menu .custom-langitem {
    font-size: 18px;
    padding: 20px 0;
    text-transform: uppercase;
}

/* HOME */

/* BUTTONS */
.is-style-orange-button .wp-block-button__link {
    background: var(--global-palette2) !important;
    border-color: var(--global-palette2) !important;
    color: #fff !important;
}
.wp-block-button__link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
.wp-block-button__link:after {
    content: '';
    display: inline-block;
    background: url(img/arrow.svg) no-repeat center center;
    background-size: 100%;
    width: 35px;
    height: 35px;
    transition: all 0.3s ease-out;
}
.is-style-orange-button .wp-block-button__link:after {
    background: url(img/arrow-white.svg) no-repeat center center;
}
.wp-block-button__link:hover:after {
    transform: translateX(5px);
}


/* ARTICLE */
.single-post.transparent-header .content-area {
    margin-top: 0;
}
.single-post h2 {
    font-size: 35px;
}
.single-post h3 {
    font-size: 26px;
}
.custom-share-buttons svg {
    fill: var(--global-palette1);
    &:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: var(--global-palette2);
        z-index: -1;
    }
    &:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: #fff;
        z-index: -1;
    }
    max-width: 40px;
}

/* WPCF7 */
.wpcf7 .wpcf7-form-control-wrap {
    position: relative;
    width: 100%;
}
.wpcf7 .form-row {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 25px;
}
.wpcf7 [type="email"],
.wpcf7 [type="text"],
.wpcf7 textarea {
    width: 100%;
    border: none;
    border: 1px solid var(--global-palette1);
    box-shadow: none;
    border-radius: 10px;
    background: #fff;
    padding: 10px;
    color: var(--global-palette3);
    font-size: 16px;
}
.wpcf7 textarea {
    height: 100px;
}
.wpcf7-not-valid-tip {
    position: absolute;
    color: #dc3232;
    font-size: 10px;
}
input[type=submit].wpcf7-submit {
    margin-top: 30px;
    background: url(img/arrow-white.svg) no-repeat;
    background-color: var(--global-palette1);
    background-size: 32px;
    background-position: right 20px center;
    padding-right: 66px;
    color: #fff;
    border-color: var(--global-palette1);

}
.wpcf7 form.sent .wpcf7-response-output,
.wpcf7 form.invalid .wpcf7-response-output {
    border: 0;
    margin: 20px 0 0 0;
    padding: 0;
    transition: all 0.3s ease-in-out;
    &:hover {
        background: var(--global-palette1);
    }
    color: #c05520;
}
.wpcf7 form.invalid .wpcf7-response-output {
    color: #dc3232;
}
.wpcf7-list-item {
    display: inline-block;
    margin: 0;
}
.contact-form-section {
    position: relative;
}
.contact-form-section input[type=submit].wpcf7-submit {
    position: absolute;
    bottom: -25px;
    right: 50px;
    opacity: 1 !important;
}

/* ACCORDION*/
.wp-block-kadence-pane.kt-accordion-pane {
    background: rgba(255, 255, 255, 0.3);
    border: 1px solid #000;
    border-radius: 20px;
    padding: 20px;
    margin-bottom: 20px;
    transition: all 0.3s ease-in-out;
}
.wp-block-kadence-pane.kt-accordion-pane:hover {
    box-shadow: 0 64px 56px -12px #0000000f;
}
.kt-blocks-accordion-icon-trigger:after,
.kt-blocks-accordion-icon-trigger:before {
    display: none;
}
.kt-blocks-accordion-header .kt-blocks-accordion-icon-trigger {
    background: url(img/arrow-circle.svg) no-repeat center center;
    background-size: 100%;
    transform: rotate(90deg);
    width: 35px;
    height: 35px;
    transition: transform 0.3s ease-in-out;
}
.kt-blocks-accordion-header.kt-accordion-panel-active .kt-blocks-accordion-icon-trigger {
    transform: rotate(-90deg);
}
.kt-blocks-accordion-title-wrap {
    align-items: center;
}
.kt-blocks-accordion-header .kb-svg-icon-wrap svg {
    width: 35px;
    height: 35px;
}
.kt-accordion-header-wrap .kt-btn-side-left {
    padding-right: 20px;
}

/* SPLIT CONTENT */
.kt-split-content-media-image,
.kt-sc-imgcol-bg-cover {
    border-radius: 20px;
    overflow: hidden;
}

/* LOGO SCROLLER*/
.logo-scroller .logos-container {
    margin-bottom: 20px;
}
.logo-scroller .logo-item {
    border: 1px solid #d5e2ea;
    border-radius: 15px;
}
.logo-scroller .logos-slide {
    gap: 20px;
}

/* ELFSIGTH */
.eapps-widget [aria-label="Previous"] > div,
.eapps-widget [aria-label="Next"] > div {
    opacity: 0;
}
.eapps-widget [aria-label="Previous"],
.eapps-widget [aria-label="Next"] {
    background: url(img/arrow-circle.svg) no-repeat center center;
    background-size: contain;
}
.eapps-widget [aria-label="Previous"] {
    transform: rotate(180deg);
}
.eapps-widget .WidgetBackground__ContentContainer-sc > a {
    clip-path: rect(0 0 0 0);
}

/* POST CAROUSEL */
.postgrid-row {
    width: calc(100% + (100vw - 100%));
    margin-left: 0;
    margin-right: calc(50% - 50vw);
}
.wp-block-kadence-postgrid .splide__arrows {
    position: absolute;
    top: -60px;
    right: unset;
    left: 20px;
}
.wp-block-kadence-postgrid .splide__arrow--prev svg,
.wp-block-kadence-postgrid .splide__arrow--next svg {
    
}
.wp-block-kadence-postgrid .kb-splide .splide__arrow--prev,
.wp-block-kadence-postgrid .kb-splide .splide__arrow--prev:hover,
.wp-block-kadence-postgrid .kb-splide .splide__arrow--prev:focus,
.wp-block-kadence-postgrid .kb-splide .splide__arrow--next,
.wp-block-kadence-postgrid .kb-splide .splide__arrow--next:hover,
.wp-block-kadence-postgrid .kb-splide .splide__arrow--next:focus {
    background: url(img/arrow-circle.svg) no-repeat center center;
    background-size: contain;
    width: 40px;
    height: 40px;
    transform: initial;
    top: 0;
    left: 50px;
    right: 0;

}
.wp-block-kadence-postgrid .kb-splide .splide__arrow--prev,
.wp-block-kadence-postgrid .kb-splide .splide__arrow--prev:hover,
.wp-block-kadence-postgrid .kb-splide .splide__arrow--prev:focus {
    left: 0;
    transform: rotate(180deg);
}
.wp-block-kadence-postgrid .kt-post-slider-item {
    border-radius: 20px;
    overflow: hidden;
    border: 1px solid var(--global-palette1);
}
.postgrid-row .splide__pagination {
    display: none !important;
}

/* CONTACT GRID */
@media (min-width: 767px) {
    .contact-grid .kt-row-column-wrap:has(.wp-block-kadence-column:nth-child(3n+1):last-child) .wp-block-kadence-column:last-child {
        grid-column: 2;
    }
}

/* FOOTER */

/* RESPONSIVE */
@media (max-width: 768px) {
    #mobile-header:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100px;
        background: linear-gradient(to bottom, #BEC3C6 0%, transparent 100%);
        z-index: -1;
        pointer-events: none;
    }
    .wpcf7 .form-row {
        grid-template-columns: 1fr;
        gap: 0;
    }
}